/**
 * Copyright (c) 2018-2023 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import * as React from 'react';
import { LociLabel } from '../mol-plugin-state/manager/loci-label';
import { PluginUIComponent } from './base';
export declare class TrajectoryViewportControls extends PluginUIComponent<{}, {
    show: boolean;
    label: string;
}> {
    state: {
        show: boolean;
        label: string;
    };
    private update;
    componentDidMount(): void;
    reset: () => Promise<void>;
    prev: () => Promise<void>;
    next: () => Promise<void>;
    render(): import("react/jsx-runtime").JSX.Element | null;
}
export declare class StateSnapshotViewportControls extends PluginUIComponent<{}, {
    isBusy: boolean;
    show: boolean;
}> {
    state: {
        isBusy: boolean;
        show: boolean;
    };
    componentDidMount(): void;
    componentWillUnmount(): void;
    keyUp: (e: KeyboardEvent) => void;
    update(id: string): Promise<void>;
    change: (e: React.ChangeEvent<HTMLSelectElement>) => void;
    prev: () => void;
    next: () => void;
    togglePlay: () => void;
    render(): import("react/jsx-runtime").JSX.Element | null;
}
export declare class AnimationViewportControls extends PluginUIComponent<{}, {
    isEmpty: boolean;
    isExpanded: boolean;
    isBusy: boolean;
    isAnimating: boolean;
    isPlaying: boolean;
}> {
    state: {
        isEmpty: boolean;
        isExpanded: boolean;
        isBusy: boolean;
        isAnimating: boolean;
        isPlaying: boolean;
    };
    componentDidMount(): void;
    toggleExpanded: () => void;
    stop: () => void;
    render(): import("react/jsx-runtime").JSX.Element | null;
}
export declare class SelectionViewportControls extends PluginUIComponent {
    componentDidMount(): void;
    render(): import("react/jsx-runtime").JSX.Element | null;
}
export declare class LociLabels extends PluginUIComponent<{}, {
    labels: ReadonlyArray<LociLabel>;
}> {
    state: {
        labels: never[];
    };
    componentDidMount(): void;
    render(): import("react/jsx-runtime").JSX.Element | null;
}
export declare class CustomStructureControls extends PluginUIComponent<{
    initiallyCollapsed?: boolean;
}> {
    componentDidMount(): void;
    render(): import("react/jsx-runtime").JSX.Element | null;
}
export declare class DefaultStructureTools extends PluginUIComponent {
    render(): import("react/jsx-runtime").JSX.Element;
}
