/**
 * Copyright (c) 2023 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { Color } from '../../mol-util/color';
import type { ColorTheme } from '../color';
import { ParamDefinition as PD } from '../../mol-util/param-definition';
import { ThemeDataContext } from '../theme';
export declare const CartoonColorThemeParams: {
    mainchain: PD.Mapped<PD.NamedParams<PD.Normalize<{
        value: Color;
        saturation: number;
        lightness: number;
    }>, "uniform"> | PD.NamedParams<PD.Normalize<{
        palette: PD.NamedParams<PD.Normalize<{
            maxCount: any;
            hue: any;
            chroma: any;
            luminance: any;
            clusteringStepCount: any;
            minSampleCount: any;
        }>, "generate"> | PD.NamedParams<PD.Normalize<{
            list: any;
        }>, "colors">;
        asymId: "label" | "auth";
    }>, "chain-id"> | PD.NamedParams<PD.Normalize<{
        palette: PD.NamedParams<PD.Normalize<{
            maxCount: any;
            hue: any;
            chroma: any;
            luminance: any;
            clusteringStepCount: any;
            minSampleCount: any;
        }>, "generate"> | PD.NamedParams<PD.Normalize<{
            list: any;
        }>, "colors">;
    }>, "entity-id"> | PD.NamedParams<PD.Normalize<{
        palette: PD.NamedParams<PD.Normalize<{
            maxCount: any;
            hue: any;
            chroma: any;
            luminance: any;
            clusteringStepCount: any;
            minSampleCount: any;
        }>, "generate"> | PD.NamedParams<PD.Normalize<{
            list: any;
        }>, "colors">;
    }>, "entity-source"> | PD.NamedParams<PD.Normalize<{
        palette: PD.NamedParams<PD.Normalize<{
            maxCount: any;
            hue: any;
            chroma: any;
            luminance: any;
            clusteringStepCount: any;
            minSampleCount: any;
        }>, "generate"> | PD.NamedParams<PD.Normalize<{
            list: any;
        }>, "colors">;
    }>, "model-index"> | PD.NamedParams<PD.Normalize<{
        palette: PD.NamedParams<PD.Normalize<{
            maxCount: any;
            hue: any;
            chroma: any;
            luminance: any;
            clusteringStepCount: any;
            minSampleCount: any;
        }>, "generate"> | PD.NamedParams<PD.Normalize<{
            list: any;
        }>, "colors">;
    }>, "structure-index"> | PD.NamedParams<PD.Normalize<{
        saturation: number;
        lightness: number;
        colors: PD.NamedParams<PD.Normalize<unknown>, "default"> | PD.NamedParams<PD.Normalize<{
            water: any;
            ion: any;
            protein: any;
            RNA: any;
            DNA: any;
            PNA: any;
            saccharide: any;
        }>, "custom">;
    }>, "molecule-type"> | PD.NamedParams<PD.Normalize<{
        saturation: number;
        lightness: number;
        colors: PD.NamedParams<PD.Normalize<unknown>, "default"> | PD.NamedParams<PD.Normalize<{
            alphaHelix: any;
            threeTenHelix: any;
            piHelix: any;
            betaTurn: any;
            betaStrand: any;
            coil: any;
            bend: any;
            turn: any;
            dna: any;
            rna: any;
            carbohydrate: any;
        }>, "custom">;
    }>, "secondary-structure">>;
    sidechain: PD.Mapped<PD.NamedParams<PD.Normalize<{
        value: Color;
        saturation: number;
        lightness: number;
    }>, "uniform"> | PD.NamedParams<PD.Normalize<{
        carbonColor: PD.NamedParams<PD.Normalize<{
            value: any;
            saturation: any;
            lightness: any;
        }>, "uniform"> | PD.NamedParams<PD.Normalize<unknown>, "element-symbol"> | PD.NamedParams<PD.Normalize<{
            palette: any;
            asymId: any;
        }>, "chain-id"> | PD.NamedParams<PD.Normalize<{
            palette: any;
        }>, "operator-name"> | PD.NamedParams<PD.Normalize<{
            palette: any;
        }>, "entity-id"> | PD.NamedParams<PD.Normalize<{
            palette: any;
        }>, "entity-source"> | PD.NamedParams<PD.Normalize<{
            palette: any;
        }>, "model-index"> | PD.NamedParams<PD.Normalize<{
            palette: any;
        }>, "structure-index"> | PD.NamedParams<PD.Normalize<{
            palette: any;
        }>, "unit-index">;
        saturation: number;
        lightness: number;
        colors: PD.NamedParams<PD.Normalize<unknown>, "default"> | PD.NamedParams<PD.Normalize<{
            H: any;
            D: any;
            T: any;
            HE: any;
            LI: any;
            BE: any;
            B: any;
            C: any;
            N: any;
            O: any;
            F: any;
            NE: any;
            NA: any;
            MG: any;
            AL: any;
            SI: any;
            P: any;
            S: any;
            CL: any;
            AR: any;
            K: any;
            CA: any;
            SC: any;
            TI: any;
            V: any;
            CR: any;
            MN: any;
            FE: any;
            CO: any;
            NI: any;
            CU: any;
            ZN: any;
            GA: any;
            GE: any;
            AS: any;
            SE: any;
            BR: any;
            KR: any;
            RB: any;
            SR: any;
            Y: any;
            ZR: any;
            NB: any;
            MO: any;
            TC: any;
            RU: any;
            RH: any;
            PD: any;
            AG: any;
            CD: any;
            IN: any;
            SN: any;
            SB: any;
            TE: any;
            I: any;
            XE: any;
            CS: any;
            BA: any;
            LA: any;
            CE: any;
            PR: any;
            ND: any;
            PM: any;
            SM: any;
            EU: any;
            GD: any;
            TB: any;
            DY: any;
            HO: any;
            ER: any;
            TM: any;
            YB: any;
            LU: any;
            HF: any;
            TA: any;
            W: any;
            RE: any;
            OS: any;
            IR: any;
            PT: any;
            AU: any;
            HG: any;
            TL: any;
            PB: any;
            BI: any;
            PO: any;
            AT: any;
            RN: any;
            FR: any;
            RA: any;
            AC: any;
            TH: any;
            PA: any;
            U: any;
            NP: any;
            PU: any;
            AM: any;
            CM: any;
            BK: any;
            CF: any;
            ES: any;
            FM: any;
            MD: any;
            NO: any;
            LR: any;
            RF: any;
            DB: any;
            SG: any;
            BH: any;
            HS: any;
            MT: any;
            DS: any;
            RG: any;
            CN: any;
            UUT: any;
            FL: any;
            UUP: any;
            LV: any;
            UUH: any;
        }>, "custom">;
    }>, "element-symbol"> | PD.NamedParams<PD.Normalize<{
        saturation: number;
        lightness: number;
        colors: PD.NamedParams<PD.Normalize<unknown>, "default"> | PD.NamedParams<PD.Normalize<{
            ALA: any;
            ARG: any;
            ASN: any;
            ASP: any;
            CYS: any;
            GLN: any;
            GLU: any;
            GLY: any;
            HIS: any;
            ILE: any;
            LEU: any;
            LYS: any;
            MET: any;
            PHE: any;
            PRO: any;
            SER: any;
            THR: any;
            TRP: any;
            TYR: any;
            VAL: any;
            A: any;
            G: any;
            I: any;
            C: any;
            T: any;
            U: any;
            DA: any;
            DG: any;
            DI: any;
            DC: any;
            DT: any;
            DU: any;
            APN: any;
            GPN: any;
            CPN: any;
            TPN: any;
        }>, "custom">;
    }>, "residue-name">>;
};
export type CartoonColorThemeParams = typeof CartoonColorThemeParams;
export declare function getCartoonColorThemeParams(ctx: ThemeDataContext): {
    mainchain: PD.Mapped<PD.NamedParams<PD.Normalize<{
        value: Color;
        saturation: number;
        lightness: number;
    }>, "uniform"> | PD.NamedParams<PD.Normalize<{
        palette: PD.NamedParams<PD.Normalize<{
            maxCount: any;
            hue: any;
            chroma: any;
            luminance: any;
            clusteringStepCount: any;
            minSampleCount: any;
        }>, "generate"> | PD.NamedParams<PD.Normalize<{
            list: any;
        }>, "colors">;
        asymId: "label" | "auth";
    }>, "chain-id"> | PD.NamedParams<PD.Normalize<{
        palette: PD.NamedParams<PD.Normalize<{
            maxCount: any;
            hue: any;
            chroma: any;
            luminance: any;
            clusteringStepCount: any;
            minSampleCount: any;
        }>, "generate"> | PD.NamedParams<PD.Normalize<{
            list: any;
        }>, "colors">;
    }>, "entity-id"> | PD.NamedParams<PD.Normalize<{
        palette: PD.NamedParams<PD.Normalize<{
            maxCount: any;
            hue: any;
            chroma: any;
            luminance: any;
            clusteringStepCount: any;
            minSampleCount: any;
        }>, "generate"> | PD.NamedParams<PD.Normalize<{
            list: any;
        }>, "colors">;
    }>, "entity-source"> | PD.NamedParams<PD.Normalize<{
        palette: PD.NamedParams<PD.Normalize<{
            maxCount: any;
            hue: any;
            chroma: any;
            luminance: any;
            clusteringStepCount: any;
            minSampleCount: any;
        }>, "generate"> | PD.NamedParams<PD.Normalize<{
            list: any;
        }>, "colors">;
    }>, "model-index"> | PD.NamedParams<PD.Normalize<{
        palette: PD.NamedParams<PD.Normalize<{
            maxCount: any;
            hue: any;
            chroma: any;
            luminance: any;
            clusteringStepCount: any;
            minSampleCount: any;
        }>, "generate"> | PD.NamedParams<PD.Normalize<{
            list: any;
        }>, "colors">;
    }>, "structure-index"> | PD.NamedParams<PD.Normalize<{
        saturation: number;
        lightness: number;
        colors: PD.NamedParams<PD.Normalize<unknown>, "default"> | PD.NamedParams<PD.Normalize<{
            water: any;
            ion: any;
            protein: any;
            RNA: any;
            DNA: any;
            PNA: any;
            saccharide: any;
        }>, "custom">;
    }>, "molecule-type"> | PD.NamedParams<PD.Normalize<{
        saturation: number;
        lightness: number;
        colors: PD.NamedParams<PD.Normalize<unknown>, "default"> | PD.NamedParams<PD.Normalize<{
            alphaHelix: any;
            threeTenHelix: any;
            piHelix: any;
            betaTurn: any;
            betaStrand: any;
            coil: any;
            bend: any;
            turn: any;
            dna: any;
            rna: any;
            carbohydrate: any;
        }>, "custom">;
    }>, "secondary-structure">>;
    sidechain: PD.Mapped<PD.NamedParams<PD.Normalize<{
        value: Color;
        saturation: number;
        lightness: number;
    }>, "uniform"> | PD.NamedParams<PD.Normalize<{
        carbonColor: PD.NamedParams<PD.Normalize<{
            value: any;
            saturation: any;
            lightness: any;
        }>, "uniform"> | PD.NamedParams<PD.Normalize<unknown>, "element-symbol"> | PD.NamedParams<PD.Normalize<{
            palette: any;
            asymId: any;
        }>, "chain-id"> | PD.NamedParams<PD.Normalize<{
            palette: any;
        }>, "operator-name"> | PD.NamedParams<PD.Normalize<{
            palette: any;
        }>, "entity-id"> | PD.NamedParams<PD.Normalize<{
            palette: any;
        }>, "entity-source"> | PD.NamedParams<PD.Normalize<{
            palette: any;
        }>, "model-index"> | PD.NamedParams<PD.Normalize<{
            palette: any;
        }>, "structure-index"> | PD.NamedParams<PD.Normalize<{
            palette: any;
        }>, "unit-index">;
        saturation: number;
        lightness: number;
        colors: PD.NamedParams<PD.Normalize<unknown>, "default"> | PD.NamedParams<PD.Normalize<{
            H: any;
            D: any;
            T: any;
            HE: any;
            LI: any;
            BE: any;
            B: any;
            C: any;
            N: any;
            O: any;
            F: any;
            NE: any;
            NA: any;
            MG: any;
            AL: any;
            SI: any;
            P: any;
            S: any;
            CL: any;
            AR: any;
            K: any;
            CA: any;
            SC: any;
            TI: any;
            V: any;
            CR: any;
            MN: any;
            FE: any;
            CO: any;
            NI: any;
            CU: any;
            ZN: any;
            GA: any;
            GE: any;
            AS: any;
            SE: any;
            BR: any;
            KR: any;
            RB: any;
            SR: any;
            Y: any;
            ZR: any;
            NB: any;
            MO: any;
            TC: any;
            RU: any;
            RH: any;
            PD: any;
            AG: any;
            CD: any;
            IN: any;
            SN: any;
            SB: any;
            TE: any;
            I: any;
            XE: any;
            CS: any;
            BA: any;
            LA: any;
            CE: any;
            PR: any;
            ND: any;
            PM: any;
            SM: any;
            EU: any;
            GD: any;
            TB: any;
            DY: any;
            HO: any;
            ER: any;
            TM: any;
            YB: any;
            LU: any;
            HF: any;
            TA: any;
            W: any;
            RE: any;
            OS: any;
            IR: any;
            PT: any;
            AU: any;
            HG: any;
            TL: any;
            PB: any;
            BI: any;
            PO: any;
            AT: any;
            RN: any;
            FR: any;
            RA: any;
            AC: any;
            TH: any;
            PA: any;
            U: any;
            NP: any;
            PU: any;
            AM: any;
            CM: any;
            BK: any;
            CF: any;
            ES: any;
            FM: any;
            MD: any;
            NO: any;
            LR: any;
            RF: any;
            DB: any;
            SG: any;
            BH: any;
            HS: any;
            MT: any;
            DS: any;
            RG: any;
            CN: any;
            UUT: any;
            FL: any;
            UUP: any;
            LV: any;
            UUH: any;
        }>, "custom">;
    }>, "element-symbol"> | PD.NamedParams<PD.Normalize<{
        saturation: number;
        lightness: number;
        colors: PD.NamedParams<PD.Normalize<unknown>, "default"> | PD.NamedParams<PD.Normalize<{
            ALA: any;
            ARG: any;
            ASN: any;
            ASP: any;
            CYS: any;
            GLN: any;
            GLU: any;
            GLY: any;
            HIS: any;
            ILE: any;
            LEU: any;
            LYS: any;
            MET: any;
            PHE: any;
            PRO: any;
            SER: any;
            THR: any;
            TRP: any;
            TYR: any;
            VAL: any;
            A: any;
            G: any;
            I: any;
            C: any;
            T: any;
            U: any;
            DA: any;
            DG: any;
            DI: any;
            DC: any;
            DT: any;
            DU: any;
            APN: any;
            GPN: any;
            CPN: any;
            TPN: any;
        }>, "custom">;
    }>, "residue-name">>;
};
export declare function CartoonColorTheme(ctx: ThemeDataContext, props: PD.Values<CartoonColorThemeParams>): ColorTheme<CartoonColorThemeParams>;
export declare const CartoonColorThemeProvider: ColorTheme.Provider<CartoonColorThemeParams, 'cartoon'>;
