/**
 * Copyright (c) 2018-2019 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
export declare const TransformData: number[][];
export declare const OperatorData: number[][];
export declare const GroupData: number[][];
export declare const SpacegroupNameToIndexMap: {
    'P 1': number;
    'P -1': number;
    'P 1 2 1': number;
    'P 1 21 1': number;
    'C 1 2 1': number;
    'P 1 m 1': number;
    'P 1 c 1': number;
    'C 1 m 1': number;
    'C 1 c 1': number;
    'P 1 2/m 1': number;
    'P 1 21/m 1': number;
    'C 1 2/m 1': number;
    'P 1 2/c 1': number;
    'P 1 21/c 1': number;
    'C 1 2/c 1': number;
    'P 2 2 2': number;
    'P 2 2 21': number;
    'P 21 21 2': number;
    'P 21 21 21': number;
    'C 2 2 21': number;
    'C 2 2 2': number;
    'F 2 2 2': number;
    'I 2 2 2': number;
    'I 21 21 21': number;
    'P m m 2': number;
    'P m c 21': number;
    'P c c 2': number;
    'P m a 2': number;
    'P c a 21': number;
    'P n c 2': number;
    'P m n 21': number;
    'P b a 2': number;
    'P n a 21': number;
    'P n n 2': number;
    'C m m 2': number;
    'C m c 21': number;
    'C c c 2': number;
    'A m m 2': number;
    'A b m 2': number;
    'A m a 2': number;
    'A b a 2': number;
    'F m m 2': number;
    'F d d 2': number;
    'I m m 2': number;
    'I b a 2': number;
    'I m a 2': number;
    'P 2/m 2/m 2/m': number;
    'P m m m': number;
    'P 2/n 2/n 2/n': number;
    'P n n n': number;
    'P 2/c 2/c 2/m': number;
    'P c c m': number;
    'P 2/b 2/a 2/n': number;
    'P b a n': number;
    'P 21/m 2/m 2/a': number;
    'P m m a': number;
    'P 2/n 21/n 2/a': number;
    'P n n a': number;
    'P 2/m 2/n 21/a': number;
    'P m n a': number;
    'P 21/c 2/c 2/a': number;
    'P c c a': number;
    'P 21/b 21/a 2/m': number;
    'P b a m': number;
    'P 21/c 21/c 2/n': number;
    'P c c n': number;
    'P 2/b 21/c 21/m': number;
    'P b c m': number;
    'P 21/n 21/n 2/m': number;
    'P n n m': number;
    'P 21/m 21/m 2/n': number;
    'P m m n': number;
    'P 21/b 2/c 21/n': number;
    'P b c n': number;
    'P 21/b 21/c 21/a': number;
    'P b c a': number;
    'P 21/n 21/m 21/a': number;
    'P n m a': number;
    'C 2/m 2/c 21/m': number;
    'C m c m': number;
    'C 2/m 2/c 21/a': number;
    'C m c a': number;
    'C 2/m 2/m 2/m': number;
    'C m m m': number;
    'C 2/c 2/c 2/m': number;
    'C c c m': number;
    'C 2/m 2/m 2/a': number;
    'C m m a': number;
    'C 2/c 2/c 2/a': number;
    'C c c a': number;
    'F 2/m 2/m 2/m': number;
    'F m m m': number;
    'F 2/d 2/d 2/d': number;
    'F d d d': number;
    'I 2/m 2/m 2/m': number;
    'I m m m': number;
    'I 2/b 2/a 2/m': number;
    'I b a m': number;
    'I 21/b 21/c 21/a': number;
    'I b c a': number;
    'I 21/m 21/m 21/a': number;
    'I m m a': number;
    'P 4': number;
    'P 41': number;
    'P 42': number;
    'P 43': number;
    'I 4': number;
    'I 41': number;
    'P -4': number;
    'I -4': number;
    'P 4/m': number;
    'P 42/m': number;
    'P 4/n': number;
    'P 42/n': number;
    'I 4/m': number;
    'I 41/a': number;
    'P 4 2 2': number;
    'P 4 21 2': number;
    'P 41 2 2': number;
    'P 41 21 2': number;
    'P 42 2 2': number;
    'P 42 21 2': number;
    'P 43 2 2': number;
    'P 43 21 2': number;
    'I 4 2 2': number;
    'I 41 2 2': number;
    'P 4 m m': number;
    'P 4 b m': number;
    'P 42 c m': number;
    'P 42 n m': number;
    'P 4 c c': number;
    'P 4 n c': number;
    'P 42 m c': number;
    'P 42 b c': number;
    'I 4 m m': number;
    'I 4 c m': number;
    'I 41 m d': number;
    'I 41 c d': number;
    'P -4 2 m': number;
    'P -4 2 c': number;
    'P -4 21 m': number;
    'P -4 21 c': number;
    'P -4 m 2': number;
    'P -4 c 2': number;
    'P -4 b 2': number;
    'P -4 n 2': number;
    'I -4 m 2': number;
    'I -4 c 2': number;
    'I -4 2 m': number;
    'I -4 2 d': number;
    'P 4/m 2/m 2/m': number;
    'P4/m m m': number;
    'P 4/m 2/c 2/c': number;
    'P4/m c c': number;
    'P 4/n 2/b 2/m': number;
    'P4/n b m': number;
    'P 4/n 2/n 2/c': number;
    'P4/n n c': number;
    'P 4/m 21/b 2/m': number;
    'P4/m b m': number;
    'P 4/m 21/n 2/c': number;
    'P4/m n c': number;
    'P 4/n 21/m 2/m': number;
    'P4/n m m': number;
    'P 4/n 2/c 2/c': number;
    'P4/n c c': number;
    'P 42/m 2/m 2/c': number;
    'P42/m m c': number;
    'P 42/m 2/c 2/m': number;
    'P42/m c m': number;
    'P 42/n 2/b 2/c': number;
    'P42/n b c': number;
    'P 42/n 2/n 2/m': number;
    'P42/n n m': number;
    'P 42/m 21/b 2/c': number;
    'P42/m b c': number;
    'P 42/m 21/n 2/m': number;
    'P42/m n m': number;
    'P 42/n 21/m 2/c': number;
    'P42/n m c': number;
    'P 42/n 21/c 2/m': number;
    'P42/n c m': number;
    'I 4/m 2/m 2/m': number;
    'I4/m m m': number;
    'I 4/m 2/c 2/m': number;
    'I4/m c m': number;
    'I 41/a 2/m 2/d': number;
    'I41/a m d': number;
    'I 41/a 2/c 2/d': number;
    'I41/a c d': number;
    'P 3': number;
    'P 31': number;
    'P 32': number;
    'H 3': number;
    'R 3': number;
    'P -3': number;
    'H -3': number;
    'R -3': number;
    'P 3 1 2': number;
    'P 3 2 1': number;
    'P 31 1 2': number;
    'P 31 2 1': number;
    'P 32 1 2': number;
    'P 32 2 1': number;
    'H 3 2': number;
    'R 3 2': number;
    'P 3 m 1': number;
    'P 3 1 m': number;
    'P 3 c 1': number;
    'P 3 1 c': number;
    'H 3 m': number;
    'R 3 m': number;
    'H 3 c': number;
    'R 3 c': number;
    'P -3 1 2/m': number;
    'P -3 1 m': number;
    'P -3 1 2/c': number;
    'P -3 1 c': number;
    'P -3 2/m 1': number;
    'P -3 m 1': number;
    'P -3 2/c 1': number;
    'P -3 c 1': number;
    'H -3 2/m': number;
    'H -3 m': number;
    'R -3 2/m': number;
    'R -3 m': number;
    'H -3 2/c': number;
    'H -3 c': number;
    'R -3 2/c': number;
    'R -3 c': number;
    'P 6': number;
    'P 61': number;
    'P 65': number;
    'P 62': number;
    'P 64': number;
    'P 63': number;
    'P -6': number;
    'P 6/m': number;
    'P 63/m': number;
    'P 6 2 2': number;
    'P 61 2 2': number;
    'P 65 2 2': number;
    'P 62 2 2': number;
    'P 64 2 2': number;
    'P 63 2 2': number;
    'P 6 m m': number;
    'P 6 c c': number;
    'P 63 c m': number;
    'P 63 m c': number;
    'P -6 m 2': number;
    'P -6 c 2': number;
    'P -6 2 m': number;
    'P -6 2 c': number;
    'P 6/m 2/m 2/m': number;
    'P 6/m m m': number;
    'P 6/m 2/c 2/c': number;
    'P 6/m c c': number;
    'P 63/m 2/c 2/m': number;
    'P 63/m c m': number;
    'P 63/m 2/m 2/c': number;
    'P 63/m m c': number;
    'P 2 3': number;
    'F 2 3': number;
    'I 2 3': number;
    'P 21 3': number;
    'I 21 3': number;
    'P 2/m -3': number;
    'P m -3': number;
    'P 2/n -3': number;
    'P n -3': number;
    'F 2/m -3': number;
    'F m -3': number;
    'F 2/d -3': number;
    'F d -3': number;
    'I 2/m -3': number;
    'I m -3': number;
    'P 21/a -3': number;
    'P a -3': number;
    'I 21/a -3': number;
    'I a -3': number;
    'P 4 3 2': number;
    'P 42 3 2': number;
    'F 4 3 2': number;
    'F 41 3 2': number;
    'I 4 3 2': number;
    'P 43 3 2': number;
    'P 41 3 2': number;
    'I 41 3 2': number;
    'P -4 3 m': number;
    'F -4 3 m': number;
    'I -4 3 m': number;
    'P -4 3 n': number;
    'F -4 3 c': number;
    'I -4 3 d': number;
    'P 4/m -3 2/m': number;
    'P m -3 m': number;
    'P 4/n -3 2/n': number;
    'P n -3 n': number;
    'P 42/m -3 2/n': number;
    'P m -3 n': number;
    'P 42/n -3 2/m': number;
    'P n -3 m': number;
    'F 4/m -3 2/m': number;
    'F m -3 m': number;
    'F 4/m -3 2/c': number;
    'F m -3 c': number;
    'F 41/d -3 2/m': number;
    'F d -3 m': number;
    'F 41/d -3 2/c': number;
    'F d -3 c': number;
    'I 4/m -3 2/m': number;
    'I m -3 m': number;
    'I 41/a -3 2/d': number;
    'I a -3 d': number;
    'P 1 1 2': number;
    'P 1 1 21': number;
    'B 1 1 2': number;
    'B 2': number;
    'A 1 2 1': number;
    'C 1 21 1': number;
    'I 1 2 1': number;
    'I 2': number;
    'I 1 21 1': number;
    'P 1 1 m': number;
    'P 1 1 b': number;
    'B 1 1 m': number;
    'B 1 1 b': number;
    'P 1 1 2/m': number;
    'P 1 1 21/m': number;
    'B 1 1 2/m': number;
    'P 1 1 2/b': number;
    'P 1 1 21/b': number;
    'P 1 21/n 1': number;
    'P 1 21/a 1': number;
    'B 1 1 2/b': number;
    'P 21 2 2': number;
    'P 2 21 2': number;
    'P 21 21 2 (a)': number;
    'P 21 2 21': number;
    'P 2 21 21': number;
    'C 2 2 21a)': number;
    'C 2 2 2a': number;
    'F 2 2 2a': number;
    'I 2 2 2a': number;
    'P 21/m 21/m 2/n a': number;
    'P 42 21 2a': number;
    'I 2 3a': number;
};
export declare function getSpacegroupIndexFromNumber(num: number): number;
export declare function getSpacegroupNumberFromIndex(idx: number): number;
export type SpacegroupName = keyof typeof SpacegroupNameToIndexMap;
/** Maps spacegroup index to Hermann-Mauguin spacegroup name */
export declare const SpacegroupName: {
    [idx: number]: SpacegroupName;
};
/** Maps spacegroup index to spacegroup number from International Tables for Crystallography */
export declare const SpacegroupNumber: {
    [idx: number]: number;
};
/** return -1 if the spacegroup does not exist */
export declare function getSpacegroupIndex(nameOrNumber: number | string | SpacegroupName): number;
